Sunday, April 05, 2009

Upgrading Phusion Passenger for Rails 2.3.2

Quick flush - when using RubyGems to manage your Phusion Passenger installation don't forget that as you install updated gems you also need to compile the corresponding Apache module and make changes to your Apache conf file. This is done with the "passenger-install-apache2-module" - follow the instructions. This will help to eliminate head scratching when Rails 2.3.2 begins to complain about not being able to find application.rb.